API-Referenz
Aktionen
Diese Referenz wird aus der OpenAPI-Spezifikation erzeugt; die Beschreibungen der Endpunkte und Felder sind auf Englisch.
GET
header
AutorisierungBearer <token>page?integerBereich
1 <= valueStandard
1per_page?integerBereich
1 <= value <= 50Standard
25status?stringWert in
"running""success""error"resource_type?stringOnly actions on this resource type (with resource_id)
resource_id?integerFormat
int64Actions, newest first
application/json- response
actions*array<>meta*curl -X GET "https://example.com/actions"{ "actions": [ { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } } ], "meta": { "pagination": { "page": 0, "per_page": 0, "previous_page": 0, "next_page": 0, "last_page": 0, "total_entries": 0 } }}GET
header
AutorisierungBearer <token>id*integerFormat
int64Action
application/json- response
action*curl -X GET "https://example.com/actions/0"{ "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}